uhd (4.9.0.1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update linking instructions for client_zero_test. (Closes: #1133658)

 -- Bastian Germann <bage@debian.org>  Mon, 03 Aug 2026 23:23:00 +0200

uhd (4.9.0.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * libuhd4.9.0-dpdk-tests: Move files to correct location. (Closes: #1133254)

 -- Christoph Berg <myon@debian.org>  Wed, 13 May 2026 20:02:05 +0200

uhd (4.9.0.1-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Remove libboost-system-dev from libuhd-dev Depends, continuing the fix
    from the previous NMU upload.

 -- Anton Gladky <gladk@debian.org>  Sun, 26 Apr 2026 22:21:48 +0200

uhd (4.9.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dependency on libboost-system-dev. (Closes: #1133878)

 -- Anton Gladky <gladk@debian.org>  Sun, 19 Apr 2026 09:37:16 +0200

uhd (4.9.0.1-1) unstable; urgency=medium

  * Dependency changes
     Support Boost 1.89.0
     Drop support for boost below 1.71.0
  * Fixes
     Fix static build of libuhd
  * Notes
    We suggest to only update to this version if the boost 1.89.0 compatibility
    is required. Apart from the Boost build fixes, there are no other changes
    in this UHD release. (Closes: #1127195)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 07 Mar 2026 13:34:43 -0500

uhd (4.9.0.0+ds1-3) unstable; urgency=medium

  [Christian Ehrhardt]
  * d/control: provides of libuhd4.9.0-dpdk needs to be versioned (LP: #2136855)
  [A. Maitland Bottoms]
  * libuhd-dev: Adding dependencies for CMake file:
    libboost-*-dev (Closes: #1127891)
  * update watch file

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 16 Feb 2026 15:52:05 -0500

uhd (4.9.0.0+ds1-2) unstable; urgency=medium

  [Martin Braun]
  * provide UHD::uhd target
  [Joerg Hofrichter]
  * patch to fix uhd::get_pkg_path()
  [Adrian Bunk]
  * enable dpdk on riscv64 and loong64 (Closes: #1122580)
  [Matthias Klose]
  * Fix build with boost 1.90 (Closes: #1127075)
  [A. Maitland Bottoms]
  * Standards-Version 4.7.3 no changes
  * control: no more powerpcspe or kfreebsd-any architectures

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 08 Feb 2026 11:06:33 -0500

uhd (4.9.0.0+ds1-1ubuntu4) resolute; urgency=medium

  * Fix build with boost 1.90
  * Build-depend on libboost-exception-dev.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Feb 2026 15:08:21 +0100

uhd (4.9.0.0+ds1-1) unstable; urgency=medium

  [ A. Maitland Bottoms ]
  * New upstream release

  [Ettus Research]
  * Highlights / Main Changes
    - Support for USRP B206mini-i
    - Support for OBX daughterboard
  * New Features
    - OBX daughterboard and B206mini support added.
    - X3x0: Add support for the gps_iface feature. This allows sending arbitrary
      commands to the GPS module.
    - rfnoc_modtool: Add a new subcommand, `make-yaml`, that generates a block
      YAML file from some user inputs. When calling `rfnoc_modtool add`  without
      a valid block YAML file, the tool will now automatically call `make-yaml` to
      generate a new YAML file.
    - Added support for processing multiple samples per cycle in FFT block.
    - Improved RFNoC OOT Block support:
      New repository containing official RFNoC OOT Blocks
      (https://github.com/EttusResearch/rfnoc-oot-blocks)
      - Added new RFNoC Aurora Block for TX and RX remote streaming applications
        to and from Aurora capable compute nodes like FPGA Coprocessors.
  * API Changes
    - `uhd::math::gcd` and `uhd::math::lcm` are removed from the public
       headers. Use `std::gcd` and `std::lcm` instead if C++17 is available,
       or `boost::math::gcd` and `boost::math::lcm` if not.
    - When calling `recv()` on an RX streamer connected to an RFNoC device, we
      no longer artificially inflate the timeout value. The old behaviour was
      in some cases abused to detect overruns, but this is not a reliable method
      and is now explicitly declared unsupported.
  * Bug Fixes
    - RFNoC
      - Calling `recv()` on an RX streamer connected to an RFNoC device with a
        zero timeout value now correctly returns immediately.
      - rfnoc-gain: Moved the fpga/ subdirectory under rfnoc/. This way, the
        directory structure inside the OOT module is identical to the directory
        structure after installation.
    - X410:
      - Fixed NCO reset mechanism that caused ADC self-cal errors to occur during
        reopening of a UHD session when timed tune commands were previously used.
  * Removals / Deprecations
    - Removed tools/uhd_dump. This tool is obsolete, the USRP X3x0 is not even
      compatible with it any more. Dumps can be recorded and analyzed with wireshark
      and the UHD dissectors in here.
    - Removed network_relay example.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 08 Sep 2025 13:25:09 -0400

uhd (4.9.0.0~rc4+ds1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 03 Sep 2025 11:21:53 -0400

uhd (4.9.0.0~rc3+ds1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Allow binary builds without Doygen

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 31 Aug 2025 11:58:11 -0400

uhd (4.9.0.0~rc1+ds1-1) experimental; urgency=medium

  [ Jörg Hofrichter ]
  * update to UHD 4.9.0.0-rc1

  [ A. Maitland Bottoms ]
  * prepare Debian upload
  * Standards-Version 4.7.2 no changes
  * tested build with g++-15 worked (CLoses: #1098032)
  * tested build with boost1.88 worked (Closes: #1110542)
  * No PDF doc generated, still debugging PDF build failure.
  * Upload to experimental for new package uhd-rfnoc-dev and library sonames

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 19 Aug 2025 17:57:02 -0400

uhd (4.8.0.0+ds1-2) unstable; urgency=medium

  * upload to unstable
  * Standards-Version 4.7.1 no changes

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 24 Feb 2025 20:36:39 -0500

uhd (4.8.0.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * upload to experimental for new library soversion
  * build with -g1 on sh4 (Closes: #1086686)
  * fix Python SyntaxWarning (Closes: #1087154)
  * uhd-host: Add Appstream metainfo announcing HW support *Closes: #1079109)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 01 Feb 2025 17:24:47 -0500

uhd (4.8.0.0-0ubuntu1) UNRELEASED; urgency=low

  * Highlights / Main Changes
    - Addition of rfnoc_modtool and further improvements to RFNoC Image Builder
      toolsets. This further improves the ability to design RFNoC blocks and
      create custom FPGA bitfiles.
    - Replaced RFNoC FFT block with a new version
    - Improved Windows installation capabilities including distribution
      of binary Python bindings for Windows though PyPI
  * New Features
    - Image Builder
      - Add GRC support. This allows designing RFNoC bitfiles from GNU Radio
        Companion (GRC).
      - Improve clock connection checks and checks for duplicate connections.
      - Improve IO port compat check (e.g., check if wire widths match).
      - Allow default clocks in domain checks.
      - Simplify image core YAMLs by better usage of RADIO_NIPC parameter.
      - Improve parameter resolution.
      - Improve error messages for missing YAML files.
      - Add --SYNTH and --CHECK options.
      - Add support for building an FPGA image using multiple parallel jobs and
        unique seeds with repeat_fpga_build.py and the --fpga-jobs option.
      - Add 'q' (or 'quote') filter to YAML files to allow quoting strings.
    - rfnoc-gain (OOT RFNoC example)
      - Overhaul directory structure, and rename to rfnoc-gain from
        rfnoc-example.
      - Simplify dynamic loading of OOT DLLs by using the new modules.d feature.
      - Add CE clock support to gain block. This enables the example on X4x0.
      - Add a GNU Radio subdirectory with examples of how to run the gain block
        in GNU Radio.
    - Add rfnoc_modtool. This is a command line utility to help design OOT RFNoC
      blocks and replaces the previously available blocktool.
    - RFNoC
      - Add tune requests. This allows tuning a complete graph as known from
        multi_usrp instead of single blocks individually.
      - Replace FFT block with a new version supporting larger FFT sizes and
        cyclic prefix insertion and removal.
    - multi_usrp
      - Add Python bindings for get_user_settings_iface()
    - General UHD
      - Add modules.d support
      - Add uhd::find_uhd_command() API call
      - Remove old-style Boost.Asio usage for compatibility with future versions
        of Boost.
    - Embedded Filesystem
      - Support for USB Audio devices on E31X, E320, N3XX and X4XX
    - Windows binary installer
      - Simplified the Windows installer experience by reducing the number of
        individual downloads from 4 (for USB devices) to 2, by including
        libusb.dll and USB driver installer files into NSIS-built installer
        binaries.
      - Add new cmake feature option called ENABLE_EXTEND_WIN_PACKAGING,
        which defaults to off. Enabling this feature will cause a number
        of convenience components to be included into the Windows deployment
        package (aka. installer).
        Enabling this feature has no effect on other platforms.
      - Added binary Python bindings for Windows installable through PyPI
        (pip install uhd)
    - Documentation
      - Add documentation about relationship of MTU, samples per packet and
        atomic item size
  * Dependencies changes
    - Increase minimum required versions
      - CMake to 3.12
      - Boost to 1.66
  * Bug Fixes
    - General UHD
      - Fix compatibility with DPDK >= 22.11
      - Fix compiler warnings for better compatibility with C++17 and 20.
      - Add logic for loading uhd.dll from the correct path for Windows with
        Python3.8+.
      - Add logic to warn about potential incompatibilities when importing
        Python bindings.
      - Remove duplicate results from find
      - Release GIL when calling find from Python which improves response time
        for large setups.
    - Python support
      - On Windows now also enable building python support if minimum supported
        python version is detected.
      - Changed version number format for build Windows binaries to common
        major.api.abi.patch format.
    - MPM
      - Allow images without RF frontend (will only be initialized if FPGA
        reports availability)
      - Fix usrp_update_fs to work for all embedded devices (and not just X4xx)
    - E320: Ensure consistent sequencing when powering on/off GPSDO
    - N310/N300: Fix LO query API for lowband LO
    - RFNoC
      - RFNoC DDC/DUC block (used in all Gen-3 USRPs and X410): Fix fractional
        frequency offset.
      - Fix AIS/spp calculation (e.g., for connecting FFT blocks).
      - Fix USE_IMPL rendering for the addsub block.
    - Image Builder
      - Fix colors
      - Fix error message for missing control SEP
      - Improve error reporting for invalid connections
      - Accept ~ and ~user on command line
      - Fix deprecated usage of yaml.load()
      - Ensure correct device tree files generation when choosing a custom build
        directory
    - rfnoc_modtool
      - Fix generation of noc_shells
  * Validated OS Environments
    (Versions for build and runtime dependencies can be determined from the
     docker container definitions in the UHD repository at .ci/docker/...)
    - Linux:
      - Ubuntu: bionic (18.04), focal (20.04), jammy (22.04), noble (24.04)
      - Fedora: 39, 40, 41
    - Windows: 10 21H2, 11 21H2
    - MacOS: Monterey (12.6)

 -- Ettus Research <uhd.maintainer@emerson.com>  Thu, 23 Jan 2025 05:54:22 -0800

uhd (4.7.0.0+ds1-2) unstable; urgency=medium

  * uhd-host depends upon python3-usb as in LP: #2060882 (Closes: #1068772))
  * Fix packaging of dpdk-tests install path (Closes: #1076198)
  * upload to unstable for transitions

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 14 Jul 2024 14:53:47 -0400

uhd (4.7.0.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental for soversion bump.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 10 Jul 2024 22:15:13 -0400

uhd (4.7.0.0~0ubuntu1) UNRELEASED; urgency=low

  * Highlights / Main Changes
    - Major updates to rfnoc_image_builder (a98ce26). This change adds support for
      defining transport adapters in the image builder YAML files, adding custom
      modules, and more.
    - Updated embedded OS on file system images for E3xx, N3xx, and X4xx devices
      to Yocto 4.0 (kirkstone).
  * New Features
    - General
      - Allow installing only Python-based utilities (e.g., rfnoc_image_builder)
        by adding the ENABLE_PYMOD_UTILS option to CMake.
      - Added ability to query dot representation of RFNoC graph
    - Python support
      - Added DRAMReceiver class and amend rx_to_file.py example to use new class.
        This supplements the DRAMTransmitter class and simplifies using the DRAM-backed
        RFNoC replay block to when signal bandwidth exceeds available streaming bandwidth.
    - CMake
      - We now search for a system version of Pybind11 before falling back to the
        bundled version. The system version is preferred, and the bundled version
        may be removed in a future release.
    - RFNoC
      - Image builder: Major update, which adds support for defining transport
        adapters in the image builder YAML files, adding custom modules, choosing
        custom directories for build, IP, and intermediate files, building IP
        only, saving Vivado projects, and more. Image core YAML files created with
        this version are not compatible with previous versions, and vice versa!
        Also adds many more checks to avoid building bitfiles that are either
        incomplete, or valid but probably not the desired outcome.
      - Added support for defining custom register spaces in RFNoC blocks.
      - Added license checking subsystem. This allows creating RFNoC blocks that
        require a license key to operate.
      - Add device DNA feature for X310, X410, X440. This allows reading back the
        FPGA's DNA, which is a unique identifier.
    - Embedded OS for E3xx, N3xx, and X4xx devices
      - With the switch to Yocto 4.0 (kirkstone), the SD card and eMMC images no 
        longer pre-populate the second system partition. Refer to the device 
        specific "Updating Filesystems" section in the user manual for how to populate it.
        This reduces the size of compressed .sdimg filesystem images.
    - X440
      - Added new guided log info mode to provide more information about the Nyquist
        zone in which the chosen frequency is located. These additional info logs
        are enabled by default. For disabling the guided mode, add the entry
        `guided_mode=false` to the UHD config file in the "Global" section.
    - Examples
      - rfnoc-example now also generates Python bindings for OOT block control functions.
  * Dependencies changes
    - Increase minimum required version
      - Python to 3.7.0
      - Pybind11 to 2.7.0
  * Bug Fixes
    - General UHD
      - Fix issue with undefined HOME or XDG_CONFIG_HOME
      - Fix compilation error with boost 1.85.0 (closed issue 740)
      - Fixed cmake find_library for UHD to fail if the library is not found
      - Fixed setters for ALL_CHANS in multi_usrp
      - Demoted safe call logging to warning
      - Fixed outstanding clang-format issues
      - Fixed compiling with gcc 13.2
      - Removed superfluous usage of const in return values
    - Python support
      - YAML files are now listed as part of the package
      - Fix setting start_time having no effect
    - RFNoC
      - Add EOB to source port of null_src_sink block
      - Fix RFNoC graph action queue lockup on action exceptions
      - FIR filters now uses newer IP revisions
      - Reverse FIR filter coefficients now get embedded in DSPE48
    - B2xx
      - Fixed FRAC2 calculation (closed issue 684).
      - Fix DC truncation bias by adding rounding to DDC chain
    - X310
      - Fix warning about duplicate reg
      - ubx
        - update ubx xcvr mode options
        - write output power to correct LO
        - Fix width of gain register
    - MPM
      - Deactivate explicit DAD (Duplicate Address Detection) on int0 interface
        since this is the default behavior of systemd v250.5 (Yocto release kirkstone)
        for static IPv4 addresses if the IP address is a link local address.
      - Correct outdated mender command in prints of usrp_update_fs utility
      - No longer import from from rpc_server when already importing usrp_mpm
      - Demoted log level of ECHO send error
      - No longer print iptables errors when setting up forwarding
    - X400 Platform
      - Add PPS interface to X410/X440 BSP
      - Add netlist make flow
      - Update PS DRAM speed bin
      - Replace Ethernet transport adapter
    - X410
      - Set Locale for ZBX Lattice build
      - Improve Lattice make flow
    - X440
      - Fix error in master clock table for 1000MHz mcr.
      - Place SPI into IOB on X440
      - mpm
        - Add error for recurring TA node inst values
        - Fix warning about different converter rates
        - Fix MTS skip for dual-rate
        - Use greatest converter rate for sysref rate
        - Add warning for bad conv rate order
        - Enable multiple LMK VCO rates per MCR
    - Examples
      - Fix rx_samples_to_file failure for multichannel fullpath.
      - Fixed bugs observing cmd argument -c in remote_rx.py example.
      - Updated tx_waveforms examples now also use timed commands during
        frequency tuning for all devices except for x410.
        On X440 this allows reproducing specified channel to channel phase alignments.
      - Consistently comment out sections in rx_samples_to_file.
  * Validated OS Environments
    (Versions for build and runtime dependencies can be determined from the
     docker container definitions in the UHD repository at .ci/docker/...)
    - Linux:
      - Ubuntu: bionic (18.04), focal (20.04), jammy (22.04), noble (24.04)
      - Fedora: 34, 35, 36
    - Windows: 10 21H2, 11 21H2
    - MacOS: Monterey (12.6)

 -- Ettus Research <packages@ettus.com>  Fri, 28 Jun 2024 03:18:38 -0800

uhd (4.6.0.0+ds1-6) unstable; urgency=medium

  * Fixup conflict replaces (Closes: #1063324, #1063085)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 18 Apr 2024 23:25:00 -0400

uhd (4.6.0.0+ds1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063085

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 20:10:38 +0000

uhd (4.6.0.0+ds1-5) unstable; urgency=medium

  * install utilities on hurd
  * include upstream metadata

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Dec 2023 22:34:58 -0500

uhd (4.6.0.0+ds1-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/p/adapt-to-dpdk-23.11.patch: fix build with new DPDK 23.11
    (Closes: #1057200)

  [ A. Maitland Bottoms ]
  * no tests defined, remove TestSuite:

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 03 Dec 2023 21:45:35 -0500

uhd (4.6.0.0+ds1-3) unstable; urgency=medium

  * Adjust autopkgtest settings

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 26 Nov 2023 15:13:20 -0500

uhd (4.6.0.0+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Enable PDF documentation

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 23 Nov 2023 20:45:40 -0500

uhd (4.6.0.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental for soversion bump.
  * improve debian/rules clean target (Closes: #1047319, #1049838)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 22 Nov 2023 00:13:03 -0500

uhd (4.6.0.0-0~0ubuntu1) UNRELEASED; urgency=low

  * ci
    - only build docker images once per week
    - propagate testLength to RF ATS
    - replace deprecated ruamel.yaml methods
    - use build farm for windows builds
  * cmake
    - Fix make_x410 and make_x440 targets
  * deb
    - copyright file update to eliminate errors and warnings
  * docs
    - X440: Add FBX to daughterboard list
    - X440: Corrected web link syntax in FBX doc.
    - x440: Add X440_X4_200 to image flavors
    - Add dual-rate documentation
  * examples
    - L band capture example using dual rate
  * fpga
    - ci: Add X440_X4_200 to pipelines
    - lib: Allow buffering in eth_ipv4_chdr_adapter
    - n3xx: Add CE clock
    - rfnoc: Add clock info to backend ifc
    - rfnoc: radio: Add clock index parameters
    - tools: Add X440_X4_200 to X440 package
    - x400: Add CE clock
    - x400: Add X440 200 MHz variant with DDC/DUC
    - x400: Split DRAM interface into two banks
    - x400: Update PL DRAM speed bin
    - x400: bump minor revision
    - x400: pps_sync cleanup
    - x400: propagate pps_sync changes
    - x400: update signals to run on two domains
    - x440: cpld: led control cleanup
    - x440: remove extra synchronizer
  * images
    - bump x4xx fpga images
    - update non-x4xx images
  * lib
    - rfnoc: Add clock info fields to client zero
    - rfnoc: Add support for auto-clock discovery
    - x4xx: Use auto clock ID in x400_radio_control
  * mpm
    - x440: Add lookup table for default MCR per DSP bandwidth
    - x440: Multi-Tile Sync disabled when using dual rate
    - x400: Align FPGA revision
    - x400: match HDL PPS updates
    - x400: make PRC a multiple of both rfdc rates
    - fix timekeeper misalignment
  * multi_usrp
    - Added module_serial to info
  * rfnoc
    - Enable SEP throttle register
    - image builder: Add clock index support to image builder
  * utils
    - init device with gpsdo sources in query_gpsdo_sensors
  * x4xx
    - Add support for auto clock ID
    - FPGA designs now use a replay block per utilized DRAM bank
  * x440
    - Add support for using radio block specific master clock rates
    - X4_440 and X4_1600 fpga image now contain 2 replay blocks
      (number of ports per replay block halved compared to previous release)

 -- Ettus Research <packages@ettus.com>  Sun, 12 Nov 2023 02:44:06 -0800

uhd (4.5.0.0+ds1-3) unstable; urgency=medium

  * update udev rules
    add support for the B205 mini device

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 06 Oct 2023 16:10:20 -0400

uhd (4.5.0.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 02 Oct 2023 20:54:26 -0400

uhd (4.5.0.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * not building Doxygen output refman.pdf (Closes: #1052896)
  * upload to experimental for soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 30 Sep 2023 10:04:32 -0400

uhd (4.4.0.0+ds1-4) unstable; urgency=medium

  * Ensure build using --no-arch-any

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Jul 2023 14:22:15 -0400

uhd (4.4.0.0+ds1-3) unstable; urgency=medium

  * simplify debian/rules, clean up dpdk dependencies

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Jul 2023 08:29:56 -0400

uhd (4.4.0.0+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Build using GCC-13 (Closes: #1037877)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 13 Jul 2023 22:41:36 -0400

uhd (4.4.0.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * upload to experimental for soversion bump
  * use xelatex and amsmath to cope with box-drawing unicode and pmatrix

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 10 Jul 2023 19:04:42 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libuhd4.9.0-dpdk`.
